AutoCAD Inventor :: How To Get Balloon To Stay On Tracking Line
Apr 8, 2013
I am trying to get the balloons equidistant from each other and on the same horizontal "line", however when I try to place some balloons, I can not select the correct placement. The balloon is effectively acting like trying to put two magnets with the same polarity together... I just can't get it in the right place.
I've noticed some issues with Osnap tracking not working consistently with a floating command line. It seems to happen especially when trying to track back along an object.
No problems whatsoever when command line is docked.
I seem to be having trouble with polar tracking on. With this activated and in front view I can only create a line in up or down (Y) direction. I cannot create a line along the z axis. This happens randomly so I must be overlooking a setting somewhere.
I am having trouble locking onto a temporary tracking point in autocad 2011. I can't seem to find the start tracking icon and it doesn't recognize the 'TT' command. I have a tracking line, I just can't seem to do it in two dimensions.
I like my command line to be near the left hand corner and not "docked" (meaning taking up the entire bottom of the screen) like this:But each time I plot, and open AutoCAD 2013, It snaps back to the middle like this:
I've tried saving my workspace (I'm very familiar with customizing and how that all works) but it just always snaps to the middle.I really like the floating command line and found that if I have it just to the right of my UCS icon at the bottom left of my screen, it's out of my way, but gives me the lines of info I want.
How to make it stay near the corner and not snap back to the middle?
Is there a way to keep the selection line to stay after you place the end point? Right now the default (and my guess the only way) just removes the selection line and dots the lines selected.
I have a couple of different files that I'm working on that I want a particular text box left-justified. I will get it left-justified and save the file, but the next time the file is opened the text is centered.
Is there a way of overriding line the "tracking" feature when dragging line endpoints to snap to something. Near points seem to want to track along the line axis but snapping 1st to a intersection or endpoint then allows tracking along the host axis or line. Its a bit hit and miss. Is then anyway of overriding so the endpost snaps semi freehand to a point on a line (i.e. nearest).
I would like to make use of " find in feature tree" feature, but in DWG mode; Right clicking instead in BOM on part # and showing (highlighting) the balloon in the DWG so you know where it is that you put your balloon.
I am putting balloons on an assembly drawing, but the circle is not appearing. The arrow, leader and number are there, but no circle. What could be wrong?
I am preparing a weld map for our welding shop, and they would like me to balloon each joint and create a table with each joint's number, so that the welder/pressure tester can sign off. Is there a way to balloon joints and not parts, or make a custom ballooning scheme?
I created a hatched sketch on one of my views to represent filler material. I want to balloon to this hatched area, but it want grab it. I have the filler material setup as a custom part. I can also create a sketched symbol for this, but it doesn't appear that they would accept it either.
I am currently running Inventor 2010 Build 272, Release: 2010-sp3
I am trying to modify the code Brian Ekins posted on Mod the Machine to renumber balloons across sheets. [uRL ....
It works great unless the item on the additional sheet is a sub-assembly. I believe it is because PartDef is declared as a PartComponentDefinition and there is nothing in the code to handle an assembly.
Dim partDef As PartComponentDefinition Set partDef = drawBOMRow.BOMRow.ComponentDefinitions.Item(1) partInfo(I - 1).ReferencedFile = partDef.Document.FullFileName
The Set partDef line was giving me a runtime error when it came to an assembly in the BOM until I added
"On Error Resume Next" at the start of the loop.
I tried changing the declaration to ComponentDefinition. It compiled fine, but didn't do anything. I think I'll have to add some duplicate code to handle an assembly in the BOM. Is there a better way to do this? Am I even on the right track?
If a balloon style is set to "Linear" the text in that balloon is automatically left aligned. If a balloon style is set to "None" the text in that balloon is automatically center aligned.
Is it possible to create a balloon with the balloon style set to "None", and have the text left aligned in a drawing document. Typically the balloon text is more that one line . The new line in inserted by pressing ctrl+Enter in the override value of the balloon.
I dont know if this is possible but what i am trying to do is create a custom detail ballon & outline similar to what is attached. this is how our client wants it to look & currently we create the detail & then sketch the outline & add a sketched symbol which has the identifier. We then turn off the detail layer which has the default outline.
Lets say for e.g. that I have 12 parts within an assembly, once auto balloon has done it’s job you notice that No. 9 balloon is blank and No. 10 balloon only shows 1 and not 10.
I'm using balloons to get information from parts, then writing that part info to a custom table. I need to keep track of which balloon corresponds to which table row.
Is there some object/property of Balloon where I can store a single number or string? I'm already using the value field, so that's unavailable to me.
Also, one balloon corresponds to one table entry. That means I cannot create a custom iProperty in the part the balloon is attached to since more than one balloon may reference the same part.
So I have set up a new style for rotate balloon text in Inventor 2011. But I am running into a problem when I pull the balloon away from the view to have a leader it does not stay rotated.
I have little problem for synchronize balloon with part list where some times I put single component to main assy for create detail drawing. The problem is balloon from single component must change manually for synchrone with Part List. If number changed in part list sometimes I forgot for change balloon. So it's become miss match between balloon and part list. How to make this become synchron.
I have a piece of steel from the content centre 165mm long. The balloon (stacked format) quantity reads 165.000mm. I've had to format the parts list to get rid of the decimal places but I can't find a way of getting rid of them in the balloon. Any format setting somewhere?
In AutoCAD leader settings you can set the number of point so the leader looks standard. I am searching for this in inventor and am coming up empty. I have seen other engineering drawings where I can tell that the generated data in the balloon was entered from the parts column in the B.O.M. But instead of part numbers, I have seen text. and I have mine set up to generate the Balloons that way but I do not like the leader type it is giving me. The attachment is what my leaders are looking like in inventor.
I would like to make a split balloon where the top retrieves the item number and the bottom is a prompted text area. Is this possible?
If the above is not possible my fallback plan would like to make a sketched symbol function in exactly the same way. I believe this option would be significantly more code. If I have to go this route, is there a way to directly mimic getting the item number like the balloon function does?
--My current process involves attaching a user symbol, getting the proper leader node, attached entity, geometry, model geometry, containing occurrence, and then BOM of the component occurrence. Keep in mind this doesn't work for phantom or reference components.